| The Gaudi Framework v29r0 (ff2e7097)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
detail::composer_t< lambda_t, more_lambda_ts... > Struct Template Reference

`#include <GaudiMath/FunAdapters.h>`

Inheritance diagram for detail::composer_t< lambda_t, more_lambda_ts... >:
[legend]
Collaboration diagram for detail::composer_t< lambda_t, more_lambda_ts... >:
[legend]

## Public Types
using | super_t = composer_t< more_lambda_ts... >

## Public Member Functions
template<typename... lambda_ts>
| composer_t (const lambda_t &lambda, lambda_ts &&...more_lambdas)
template<typename... lambda_ts>
| composer_t (lambda_t &&lambda, lambda_ts &&...more_lambdas)

## Detailed Description

### template<typename lambda_t, typename... more_lambda_ts>
struct detail::composer_t< lambda_t, more_lambda_ts... >

Definition at line 54 of file FunAdapters.h.

## Member Typedef Documentation

template<typename lambda_t , typename... more_lambda_ts>

using detail::composer_t< lambda_t, more_lambda_ts... >::super_t = composer_t<more_lambda_ts...>

Definition at line 55 of file FunAdapters.h.

## Constructor & Destructor Documentation

template<typename lambda_t , typename... more_lambda_ts>
template<typename... lambda_ts>

detail::composer_t< lambda_t, more_lambda_ts... >::composer_t | ( | const lambda_t & | lambda,
|  | lambda_ts &&... | more_lambdas
| ) |  |
| inline

Definition at line 57 of file FunAdapters.h.

58 : lambda_t{lambda}, super_t{std::forward<lambda_ts>( more_lambdas )...}
59 {
60 }
detail::composer_t< lambda_t, more_lambda_ts... >::super_t
composer_t< more_lambda_ts... > super_t
Definition: FunAdapters.h:55
template<typename lambda_t , typename... more_lambda_ts>
template<typename... lambda_ts>

detail::composer_t< lambda_t, more_lambda_ts... >::composer_t | ( | lambda_t && | lambda,
|  | lambda_ts &&... | more_lambdas
| ) |  |
| inline

Definition at line 62 of file FunAdapters.h.

63 : lambda_t{std::move( lambda )}, super_t{std::forward<lambda_ts>( more_lambdas )...}
64 {
65 }
detail::composer_t< lambda_t, more_lambda_ts... >::super_t
composer_t< more_lambda_ts... > super_t
Definition: FunAdapters.h:55
std::move
T move(T...args)

The documentation for this struct was generated from the following file:

- GaudiGSL/GaudiMath/FunAdapters.h